Skip to main content
PATCH
/
integrations
/
{integrationId}
/
resource-kinds
/
{resourceKind}
/
resources
Update resource metadata
curl --request PATCH \
  --url https://api.vanta.com/v1/integrations/{integrationId}/resource-kinds/{resourceKind}/resources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "updates": [
    {
      "id": "<string>",
      "ownerId": "<string>",
      "description": "<string>",
      "inScope": true
    }
  ]
}
'
{
  "results": [
    {
      "id": "RESOURCE_ID",
      "status": "SUCCESS"
    },
    {
      "id": "OTHER_RESOURCE_ID",
      "status": "ERROR",
      "message": "Invalid Input"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integrationId
string
required

Unique identifier of the integration.

resourceKind
string
required

Unique identifier of the integration resource kind.

Body

application/json
updates
object[]
required

List of resource update requests.

Required array length: 1 - 50 elements

Response

200 - application/json

Ok

results
object[]
required

List of results matching the length and order of the request